Skip to content

After submitting a request to export a submission from your Vault, you can query Vault to determine the results of the request.

Before submitting this request:

  • You must have previously requested a submission export job (via the API) which is no longer active.
  • You must have a valid job_id field value returned from the Export Submission request above.
GET/api/{version}/objects/binders/actions/export/{job_id}/results
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{job_id}The jobId field value returned from the Export Submission request above.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/objects/binders/actions/export/1201/results
{ "responseStatus": "SUCCESS", "job_id": 1201, "id": 454, "major_version_number__v": 1, "minor_version_number__v": 0, "file": "/1201/454/1_0/RIM Submission Packet.zip", "user_id__v": 44533 }

On SUCCESS, the response includes the following information: